Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354138 - Would it be possible to update to v2.2 in F24?
Summary: Would it be possible to update to v2.2 in F24?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LabPlot
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 00:21 UTC by Alexander Ploumistos
Modified: 2016-07-15 21:26 UTC (History)
4 users (show)

Fixed In Version: LabPlot-2.2.0-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-15 21:26:06 UTC


Attachments (Terms of Use)

Description Alexander Ploumistos 2016-07-10 00:21:46 UTC
A couple of weeks after the 2.1.0-9 update, upstream released version 2.2.0 which contains several bug fixes and some nice new features. Is there any chance this update gets packaged for F24?
Now that scidavis is retired (for the current release at least) we do need these improvements in Fedora.

Comment 1 Mukundan Ragavan 2016-07-10 01:05:19 UTC
Sure. Let me look into it.

Comment 2 Mukundan Ragavan 2016-07-10 03:42:30 UTC
building on F24 now - 

http://koji.fedoraproject.org/koji/taskinfo?taskID=14842802


I have not tested it yet - appreciate any feedback. I will probably push it to testing tomorrow.

Comment 3 Alexander Ploumistos 2016-07-10 22:17:08 UTC
Well, I've played with it for the past couple of hours, it hasn't crashed on me like it did in the previous version and the new features work as advertised, so I'd say it's ready to be pushed to testing.

If only I could find that mythical "Analysis" menu, in order to smooth my plot... Or is it one of the features missing from 2.x?

Comment 4 Fedora Update System 2016-07-11 00:58:09 UTC
LabPlot-2.2.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-daf28b3dba

Comment 5 Mukundan Ragavan 2016-07-11 01:11:33 UTC
(In reply to Alexander Ploumistos from comment #3)
> 
> If only I could find that mythical "Analysis" menu, in order to smooth my
> plot... Or is it one of the features missing from 2.x?

Excellent question. Unfortunately, it's been a couple of months since i did data analysis using Labplot .. So, can't really answer this question at the moment ...

Comment 6 Alexander Ploumistos 2016-07-11 06:43:11 UTC
I have been trying to learn how to use LabPlot and Veusz, but they seem to lack a lot of functions that were present in scidavis. I'll either have to keep F23 around in a VM or delve into something more arcane like gnuplot...

Comment 7 Fedora Update System 2016-07-12 03:59:16 UTC
LabPlot-2.2.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-daf28b3dba

Comment 8 Fedora Update System 2016-07-15 21:26:04 UTC
LabPlot-2.2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.